Bug 3379 - Dynamically generate GL dispatch functions for x86-64
Dynamically generate GL dispatch functions for x86-64
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: GLX
5.0.2
x86 (IA32) Linux (All)
: high enhancement
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-23 13:57 UTC by Ian Romanick
Modified: 2012-08-14 23:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Romanick 2005-05-23 13:57:02 UTC
Dynamic generation of GL dispatch functions is currently only supported on x86
and SPARC.  x86-64 should also be supported.
Comment 1 Ian Romanick 2005-06-22 10:18:10 UTC
Created attachment 2939 [details] [review]
libXss-libname.patch

This is an initial pass at x86-64 optimized dispatch routines.	To generate
glapi_x86-64.S, 'cd src/mesa/glapi ; make'.  Currently, only static dispatch
functions are supported.  Dynamic dispatches are not yet generated.
Comment 2 Marcin Baczyński 2011-09-29 14:27:16 UTC
Hmm... maybe this bug can be closed now?
Comment 3 almos 2012-08-14 23:20:18 UTC
I'm fairly sure glapi dispatch works on x86-64 now. Closing.